ApiV1V1.pathfinderservice
GetChainTokens
GetChainTokens returns all tokens available on a specific chain Includes both native tokens and IBC tokens with their denoms
POST
/v1.PathfinderService/GetChainTokensConnect-Protocol-Version*1Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?Connect-Timeout-MsDefine the timeout, in ms
- body
GetChainTokensRequest - Get all tokens on a chain
chainId*chain_idSuccess
- response
chain_id?chain_idchain_name?chain_namenative_tokens?array<>Native tokens on this chain
ibc_tokens?array<>IBC tokens received on this chain
curl -X POST 'https://example.com/v1.PathfinderService/GetChainTokens' \ -H 'Connect-Protocol-Version: 1' \ -H 'Content-Type: application/json' \ -d '{ "chainId": "string"}'Example Response
{ "chain_id": "string", "chain_name": "string", "native_tokens": [ { "denom": "string", "symbol": "string", "base_denom": "string", "origin_chain": "string", "decimals": 0, "is_native": true } ], "ibc_tokens": [ { "denom": "string", "symbol": "string", "base_denom": "string", "origin_chain": "string", "decimals": 0, "is_native": true } ]}